# Visualization
TKService
Image

# Image_PseudoColorImage Class Reference

A PseudoColorImage is a DIndexedImage associated with a
ColorMap . The ColoMap is set at Creation time and then
never be changed. Each Pixel in the Image ,as a IndexPixel
from Aspect, match a ColoMap Entry with the same value.
.

`#include <Image_PseudoColorImage.hxx>`

Inheritance diagram for Image_PseudoColorImage:

[legend]

## Public Member Functions

Standard_EXPORT | Image_PseudoColorImage (const Standard_Integer x, const Standard_Integer y, const Standard_Integer dx, const Standard_Integer dy, const Handle(Aspect_ColorMap)&aColorMap)
| Creates a PseudoColorImage object. The default Background Pixel is set to 0 . All the Image is initialised with Background Pixel .
Standard_EXPORT | Image_PseudoColorImage (const Standard_Integer x, const Standard_Integer y, const Standard_Integer dx, const Standard_Integer dy, const Handle(Aspect_ColorMap)&aColorMap, const Aspect_IndexPixel &BackPixel)
| Creates a PseudoColorImage object and set the Background Pixel. All the Image is initialised with Background Pixel .
Standard_EXPORT Image_TypeOfImage | Type () const
| Returns the Image Type. .
Standard_EXPORT Handle_Aspect_ColorMap | ColorMap () const
| returns the Image ColorMap .
Standard_EXPORT const Quantity_Color & | PixelColor (const Standard_Integer X, const Standard_Integer Y) const
| Returns the Pixel Color . .
virtual Standard_EXPORT Handle_Quantity_HArray1OfColor | RowColor (const Standard_Integer Y) const
| Return the PixelRow Color in a HArray1 of Color. .
virtual Standard_EXPORT void | RowColor (const Standard_Integer Y, Quantity_Array1OfColor &aArray1) const
| Stores the PixelRow Color in a Array1 . .
Standard_EXPORT Handle_Image_PseudoColorImage | Squeeze (const Aspect_IndexPixel &BasePixel) const
| Creates a new Image with continuous Pixel and a continuous ColorMap whith only used Image color starting from BasePixel . .
Standard_EXPORT void | SqueezedLookupTable (const Aspect_IndexPixel &BasePixel, Image_LookupTable &aLookup) const
| Creates a LookupTable that can be used to create a new Image with continuous Pixel and a continuous ColorMap with only used Image color starting from BasePixel . .
Standard_EXPORT void | Lookup (const Image_LookupTable &aLookup)
| Pass a PseudoColorImage through a lookupTable .
Standard_EXPORT void | Extrema (Aspect_IndexPixel &Min, Aspect_IndexPixel &Max) const
| Find the maximum and minimum Pixel Value of an Image. .
Standard_EXPORT void | Threshold (const Aspect_IndexPixel &Min, const Aspect_IndexPixel &Max, const Aspect_IndexPixel &Map)
| This method changes the value of any Pixel beetwen the range (Min->Max) to the Pixel Map value. All Pixel values outside the range are passed through without changed . .
Standard_EXPORT void | Rescale (const Standard_Real Scale, const Standard_Real Offset)
| Map the Image Pixel Value from one range to another range. This method perform the mapping by multiplying each Pixel Value by Scale and then adding Offset to the result. .
Standard_EXPORT Handle_Image_Image | Dup () const
| Duplicate a Image. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Aspect_ColorMap | myColorMap

## Constructor & Destructor Documentation

Standard_EXPORT Image_PseudoColorImage::Image_PseudoColorImage | ( | const Standard_Integer | x,
|  | const Standard_Integer | y,
|  | const Standard_Integer | dx,
|  | const Standard_Integer | dy,
|  | const Handle(Aspect_ColorMap)& | aColorMap
| ) |

Standard_EXPORT Image_PseudoColorImage::Image_PseudoColorImage | ( | const Standard_Integer | x,
|  | const Standard_Integer | y,
|  | const Standard_Integer | dx,
|  | const Standard_Integer | dy,
|  | const Handle(Aspect_ColorMap)& | aColorMap,
|  | const Aspect_IndexPixel & | BackPixel
| ) |

## Member Function Documentation

Standard_EXPORT Handle_Aspect_ColorMap Image_PseudoColorImage::ColorMap | ( |  | ) | const

Standard_EXPORT Handle_Image_Image Image_PseudoColorImage::Dup | ( |  | ) | const`[virtual]`

| Implements Image_Image.

Standard_EXPORT void Image_PseudoColorImage::Extrema | ( | Aspect_IndexPixel & | Min,
|  | Aspect_IndexPixel & | Max
| ) | const

Standard_EXPORT const Image_PseudoColorImage::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Image_DIndexedImage.

Standard_EXPORT void Image_PseudoColorImage::Lookup | ( | const Image_LookupTable & | aLookup | ) |

Standard_EXPORT const Quantity_Color& Image_PseudoColorImage::PixelColor | ( | const Standard_Integer | X,
|  | const Standard_Integer | Y
| ) | const`[virtual]`

| Implements Image_Image.

Standard_EXPORT void Image_PseudoColorImage::Rescale | ( | const Standard_Real | Scale,
|  | const Standard_Real | Offset
| ) |

virtual Standard_EXPORT void Image_PseudoColorImage::RowColor | ( | const Standard_Integer | Y,
|  | Quantity_Array1OfColor & | aArray1
| ) | const`[virtual]`

| Reimplemented from Image_Image.

virtual Standard_EXPORT Handle_Quantity_HArray1OfColor Image_PseudoColorImage::RowColor | ( | const Standard_Integer | Y | ) | const`[virtual]`

| Reimplemented from Image_Image.

Standard_EXPORT Handle_Image_PseudoColorImage Image_PseudoColorImage::Squeeze | ( | const Aspect_IndexPixel & | BasePixel | ) | const

Standard_EXPORT void Image_PseudoColorImage::SqueezedLookupTable | ( | const Aspect_IndexPixel & | BasePixel,
|  | Image_LookupTable & | aLookup
| ) | const

Standard_EXPORT void Image_PseudoColorImage::Threshold | ( | const Aspect_IndexPixel & | Min,
|  | const Aspect_IndexPixel & | Max,
|  | const Aspect_IndexPixel & | Map
| ) |

Standard_EXPORT Image_TypeOfImage Image_PseudoColorImage::Type | ( |  | ) | const`[virtual]`

| Implements Image_DIndexedImage.

## Field Documentation

Handle_Aspect_ColorMap Image_PseudoColorImage::myColorMap `[private]`

The documentation for this class was generated from the following file:

- Image_PseudoColorImage.hxx